Summary:	Misfit Model 3D - OpenGL-based 3D model editor
Name:		mm3d
Version:	1.3.5
Release:	%mkrel 1
License:	GPL
Group:		Graphics
URL:		http://www.misfitcode.com/misfitmodel3d/
Source0:	http://downloads.sourceforge.net/misfitmodel3d/%{name}-%{version}.tar.bz2
Source1:	%{name}.desktop
BuildRequires:	lua-devel	>= 5.1
BuildRequires:	libqt-devel	>= 3.3.7
BuildRequires:	imagemagick
Requires:	lua		>= 5.1
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Misfit Model 3D is an OpenGL-based 3D model editor that works with
triangle-based models. It supports multi-level undo, skeletal
animations, simple texturing, scripting, command-line batch
processing, and a plugin system for adding new model and image
filters. Complete online help is included. It is designed to be easy
to use and easy to extend with plugins and scripts.

%prep
%setup -q

%build
%configure2_5x \
	--with-Qt-dir=%{_prefix}/lib/qt3 \
	--with-lua-dir=%{_prefix} \
	--with-x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32}/apps

install %{SOURCE1} %{buildroot}%{_datadir}/applications/%{name}.desktop
convert src/pixmap/mm3dlogo-16x16.xpm %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert src/pixmap/mm3dlogo-32x32.xpm %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%{update_menus}
%if %mdkversion >= 200700
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion >= 200700
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files
%doc %{_datadir}/doc/%{name}/html
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}/plugins/1.3
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}/i18n/mm3d_bork.qm
%{_datadir}/%{name}/i18n/mm3d_ref.qm
%{_datadir}/%{name}/i18n/mm3d_sk.qm
%lang(ar) %{_datadir}/%{name}/i18n/qt_ar.qm
%lang(cs) %{_datadir}/%{name}/i18n/qt_cs.qm
%lang(de) %{_datadir}/%{name}/i18n/qt_de.qm
%lang(fr) %{_datadir}/%{name}/i18n/qt_fr.qm
%lang(iw) %{_datadir}/%{name}/i18n/qt_iw.qm
%lang(ru) %{_datadir}/%{name}/i18n/qt_ru.qm
%lang(sk) %{_datadir}/%{name}/i18n/qt_sk.qm
%lang(zh_CN) %{_datadir}/%{name}/i18n/qt_zh_CN.qm


%changelog
* Mon Jul 16 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.5-1mdv2008.0
+ Revision: 52459
- new version

* Sat May 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.4-1mdv2008.0
+ Revision: 28419
- new version
- add translation files
- drop P4 (merged upstream)


* Fri Mar 02 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.3-1mdv2007.0
+ Revision: 131064
- update to the latest version
- drop patches 0-3(merged upstream)
- add patch 4

* Fri Feb 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-3mdv2007.1
+ Revision: 118315
- rename patches
- add icons
- add menu entry

* Thu Jan 25 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.3.2-2mdv2007.1
+ Revision: 113180
- fix build on x86_64
- forgot to add %%mkrel
- added patches 0-3 to enable lua scripting (Kevin Worcester)
- Import mm3d

